<!DOCTYPE html>
<html lang="{{ app.request.locale|split('_')|first|default('en') }}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="robots" content="noindex, nofollow, noarchive, nosnippet, noodp, noimageindex, notranslate, nocache" />
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <meta name="generator" content="EasyAdmin" />

        <title>{% block page_title %}Connexion{% endblock %}</title>

        {% block head_stylesheets %}
            <link href="https://fonts.googleapis.com/css?family=Ubuntu" rel="stylesheet">
            <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app.css') }}">
            <link rel="stylesheet" href="./build/main.css">
            <style>
                :root { --color-primary: {{ easyadmin_config('design.brand_color') }}; }
            </style>
        {% endblock %}

        {% for css_asset in easyadmin_config('design.assets.css') %}
            <link rel="stylesheet" href="{{ asset(css_asset) }}">
        {% endfor %}

        {% block head_favicon %}
            {% set favicon = easyadmin_config('design.assets.favicon') %}
            <link rel="icon" type="{{ favicon.mime_type }}" href="{{ asset(favicon.path) }}" />
        {% endblock %}

        {% block head_javascript %}
            <script src="{{ asset('bundles/easyadmin/app.js') }}"></script>
        {% endblock head_javascript %}

        {% if easyadmin_config('design.rtl') %}
            <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app-rtl.css') }}">
        {% endif %}
    </head>
{% block title %}Connexion{% endblock %}

{% block body %}
<div class="container login">
    <form method="post">
        {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}


        <div class="row">
            <div class="col-md-6 col-sm-12 offset-md-3">
                <p class="logo text-center mb-5">
                    <span class="title">
                        SIMPL<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100">
                            <title>logo-simplon</title>
                            <path d="M50,0a50,50,0,1,0,50,50A50,50,0,0,0,50,0Zm0.16,87.43A38.07,38.07,0,1,1,88.23,49.35,38.07,38.07,0,0,1,50.16,87.43Z"
                        fill="#ed1450" />
                            <rect x="41.06" y="30.12" width="15.29" height="15.29" fill="#ed1450" />
                            <rect x="41.06" y="55.41" width="15.29" height="15.29" fill="#ed1450" />
                        </svg>N
                    </span>
                    <span class="sub-title">Grenoble</span>
                </p>
                <h1 class="h3 mb-3 font-weight-normal">Veuillez vous connecter</h1>
                <label for="inputUsername" class="sr-only">Nom</label>
                <div class="input-group mb-3">
                    <span class="input-group-addon"><i class="fa fa-user" aria-hidden="true"></i></span>
                    <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" placeholder="Votre nom" required autofocus>
                </div>

                <label for="inputPassword" class="sr-only">Mot de pass: </label>
                <div class="input-group mb-3">
                    <span class="input-group-addon"><i class="fa fa-unlock-alt" aria-hidden="true"></i></span>
                    <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Votre mot de passe" required>
                </div>
                {#
                Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                See https://symfony.com/doc/current/security/remember_me.html
                #}

                <label class="checkbox mb-3">
                    Se souvenir de moi ?
                    <input type="checkbox" name="_remember_me">
                    <div class="checkmark">
                        <i class="fa fa-times false" aria-hidden="true"></i>
                        <i class="fa fa-check true" aria-hidden="true"></i>
                    </div>
                </label>

                <button class="btn btn-lg btn-primary action-connexion mx-auto" type="submit">
                    <span class="action-connexion">Connexion</span>
                    <i class="fa fa-sign-in" aria-hidden="true"></i>
                </button>
            </div>
        </div>


        <input type="hidden" name="_csrf_token"
        value="{{ csrf_token('authenticate') }}"
        >

    </form>
</div>
{% endblock %}
</html>
